Passer au contenu principal
GET
https://{tenantDomain}/api/v2
/
connections
/
{id}
/
directory-provisioning
/
synchronized-groups
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Connections;

public partial class Examples
{
    public async Task Example() {
        var client = new ManagementClient(
            token: "<token>"
        );

        await client.Connections.DirectoryProvisioning.ListSynchronizedGroupsAsync(
            id: "id",
            request: new ListSynchronizedGroupsRequestParameters {
                From = "from",
                Take = 1
            }
        );
    }

}
{
  "groups": [
    {
      "id": "<string>"
    }
  ],
  "next": "<string>"
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Paramètres de chemin

id
string
requis

The id of the connection to list synchronized groups for.

Paramètres de requête

from
string

Optional Id from which to start selection.

take
integer

Number of results per page. Defaults to 50.

Plage requise: 1 <= x <= 100

Réponse

The connection's synchronized groups. See Response Schemas for schema.

groups
object[]
requis

Array of Google Workspace group ids configured for synchronization.

next
string

The cursor to be used as the "from" query parameter for the next page of results.